﻿using System.Diagnostics;
using System.Drawing;
using System.Windows.Forms;
using Steema.TeeChart.Styles;

namespace TestingTeeChartScaling
{

    public partial class Form1 : Form
    {
        private readonly double[] m_RectangleX = new double[5];
        private readonly double[] m_RectangleY = new double[5];
        private readonly Line m_Line = new Line();

        public Form1()
        {
            InitializeComponent();

            m_Chart.Aspect.View3D = false;
            m_Chart.Aspect.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.AntiAlias;
            m_Chart.Legend.Visible = false;
            m_Chart.Location = new Point(0, 0);
            m_Chart.Name = "Testing TChart";
            m_Chart.TabIndex = 0;
            m_Chart.Chart.Header.Text = "Testing TChart";
            m_Chart.Series.Clear();
            m_Chart.Tools.Clear();

            Load += (sender, args) => AddSeriesToChart();

            m_Chart.KeyPress += (sender, args) =>
            {
                switch (args.KeyChar)
                {
                    case '+':
                        m_Chart.Zoom.ZoomPercent(110);
                        Debug.Write(m_Chart.Zoom.Zoomed);
                        break;
                    case '-':
                        m_Chart.Zoom.ZoomPercent(100);
                        Debug.Write(m_Chart.Zoom.Zoomed);
                        break;
                }
            };

        }

        private void AddSeriesToChart()
        {
            m_RectangleX[0] = -1500000.0;
            m_RectangleY[0] = -1000000.0;

            m_RectangleX[1] = 2500000.0;
            m_RectangleY[1] = -1500000.0;

            m_RectangleX[2] = 3500000.0;
            m_RectangleY[2] = 1500000.0;

            m_RectangleX[3] = -4500000.0;
            m_RectangleY[3] = 1500000.0;

            m_RectangleX[4] = -1000000.0;
            m_RectangleY[4] = -1500000.0;

            m_Line.XValues.Count = 5;
            m_Line.XValues.Value = m_RectangleX;
            m_Line.XValues.Modified = true;

            m_Line.YValues.Count = 5;
            m_Line.YValues.Value = m_RectangleY;
            m_Line.YValues.Modified = true;

            m_Chart.Series.Clear();
            m_Chart.Series.Add(m_Line);

            m_Chart.Axes.Bottom.Automatic = true;
            m_Chart.Axes.Bottom.MinimumOffset = 10;
            m_Chart.Axes.Bottom.MaximumOffset = 10;
            m_Chart.Axes.Bottom.Visible = false;
            m_Chart.Axes.Bottom.Ticks.Length = 0;

            m_Chart.Axes.Left.Automatic = true;
            m_Chart.Axes.Left.MinimumOffset = 10;
            m_Chart.Axes.Left.MaximumOffset = 10;
            m_Chart.Axes.Left.Visible = false;
            m_Chart.Axes.Left.Ticks.Length = 0;

            m_Line.IsoHorizAxes = true;

            m_Chart.BeforeDrawSeries += (sender, d) => m_Chart.Chart.Axes.Bottom.AdjustMaxMin();
         
        }
    }
}

